# InventoryChangeEffect

enum InventoryChangeEffect : Enum<InventoryChangeEffect>
Content copied to clipboard

## Entries

INSTANT
Link copied to clipboard
INSTANT(PageChangeEffect.INSTANT)
Content copied to clipboard

## Functions

compareTo
Link copied to clipboard
operator override fun compareTo(other: InventoryChangeEffect): Int
Content copied to clipboard
describeConstable
Link copied to clipboard
override fun describeConstable(): Optional<Enum.EnumDesc<InventoryChangeEffect>>
Content copied to clipboard
equals
Link copied to clipboard
operator override fun equals(other: Any?): Boolean
Content copied to clipboard
finalize
Link copied to clipboard
override fun finalize()
Content copied to clipboard
getDeclaringClass
Link copied to clipboard
override fun getDeclaringClass(): Class<InventoryChangeEffect>
Content copied to clipboard
hashCode
Link copied to clipboard
override fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

effect
Link copied to clipboard
val effect: PageChangeEffect
Content copied to clipboard
name
Link copied to clipboard
override val name: String
Content copied to clipboard
ordinal
Link copied to clipboard
override val ordinal: Int
Content copied to clipboard